upgrade to php53

Support for webhosts that use CentOS
Post Reply
evarie
Posts: 29
Joined: 2010/11/11 22:47:00
Contact:

upgrade to php53

Post by evarie » 2011/06/16 12:19:32

I want to install php53:

I did :

[root@centos ~]# yum install php53
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirrors.supportex.net
* extras: mirrors.supportex.net
* updates: mirrors.supportex.net
base | 1.1 kB 00:00
extras | 2.1 kB 00:00
updates | 1.9 kB 00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php53.i386 0:5.3.3-1.el5_6.1 set to be updated
--> Processing Dependency: php53-cli = 5.3.3-1.el5_6.1 for package: php53
--> Processing Dependency: php53-common = 5.3.3-1.el5_6.1 for package: php53
--> Running transaction check
---> Package php53-cli.i386 0:5.3.3-1.el5_6.1 set to be updated
---> Package php53-common.i386 0:5.3.3-1.el5_6.1 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-1.el5_6.1.i386 from updates has depsolving problems
--> php53-common conflicts with php-common
Error: php53-common conflicts with php-common
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
[root@centos ~]#

Wat must i do with these error message?

logan
Posts: 64
Joined: 2008/08/01 16:40:34

upgrade to php53

Post by logan » 2011/06/16 18:42:03

As far as I know you need to first uninstall all existing php* packages before installing php53*.

Post Reply

Return to “CentOS 5 - Webhosting Support”